import { SchemaTable, SchemaTableColumn } from "./schema_table";
export declare class ModelGenerator {
    tables: SchemaTable[];
    private readonly tableGenerators;
    constructor(tables: SchemaTable[]);
    toModelBaseCode(): string;
    toModelCode(): string;
    toDelarationCode(): string;
    toExtensionExampleCode(): string;
    toModelCodeMain(): string;
    toDeclarationCodeMain(): string;
    toExtensionExampleCodeMain(): string;
}
export declare class SchemaTableModelGenerator {
    table: SchemaTable;
    constructor(table: SchemaTable);
    toModelCode(): string;
    toDeclarationCode(): string;
    toExtensionExampleCode(): string;
    tableConstantCode(): string;
    tableClassCode(): string;
    recordClassCode(): string;
    columnPropertyCode(column: SchemaTableColumn): string;
    recordColumnCode(): string;
    declareCode(): string;
}
